<%@ page language="java" errorPage="error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=utf-8"%>

<%@ taglib uri="http://displaytag.sf.net/el" prefix="display"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt"%>

<html>
<head>
<title>업무중심 자바개발 예제</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />

<link rel="stylesheet" type="text/css"
	href="<%=request.getContextPath() %>/css/form.css" />
<link rel="stylesheet" type="text/css"
	href="<%=request.getContextPath() %>/css/displaytag.css" />

</head>

<body>
<fieldset id="top"><legend>Spring 관련 아티클 목록</legend>
<div id="box"><display:table name="articleList" class="list"
	id="article" requestURI="list.do">
	<display:column title="No" headerClass="sorted" width="5%">${article_rowNum}</display:column>
	<display:column title="언어" headerClass="sorted" width="5%">${articleList[article_rowNum - 1].language == 'EN' ? '영문' : '한글'}</display:column>
	<display:column sortable="true" sortProperty="title"
		title="제목" headerClass="sorted" width="40%">
		<a id="link" href="details.do?id=${articleList[article_rowNum - 1].id}">
		${articleList[article_rowNum - 1].title}</a>
	</display:column>
	<display:column title="저자" headerClass="sorted" width="20%" sortable="true" property="author.name"/>
	<display:column title="발행일" headerClass="sorted" width="10%"
		sortable="true">
		<fmt:formatDate value="${articleList[article_rowNum - 1].published}" type="date" pattern="yyyy/MM/dd" />
	</display:column>
	<display:column title="발행처" headerClass="sorted" width="20%" sortable="true" property="source.name" />
</display:table></div>
</fieldset>
</body>
</html>
